Comment 13 for bug 369498

I am also seeing the same problem. This is happening with the installer for Adobe's Air for Linux.

jcheng@jackrabbit:~/downloads$ ./AdobeAIRInstaller.bin
Gtk-Message: Failed to load module "canberra-gtk-module": /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so: wrong ELF class: ELFCLASS64
jcheng@jackrabbit:~/downloads$ ldd ./AdobeAIRInstaller.bin
 linux-gate.so.1 => (0xf7f5c000)
 libm.so.6 => /lib32/libm.so.6 (0xf7f11000)
 libpthread.so.0 => /lib32/libpthread.so.0 (0xf7ef8000)
 libc.so.6 => /lib32/libc.so.6 (0xf7d94000)
 /lib/ld-linux.so.2 (0xf7f5d000)

Note that this problem happens with Adobe Air as well, but to reproduce the error message easily, one only needs to run the installer.